"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContentCompressionPlugin = void 0;
var _plugins = require("@webiny/plugins");
var _error = _interopRequireDefault(require("@webiny/error"));
/**
 * Functions that are using compress and decompress methods have try/catch around them.
 * canDecompress only expects boolean, no try/catch around it.
 */
class ContentCompressionPlugin extends _plugins.Plugin {
  static type = "pageBuilder.page.content.compression";
  constructor(identifier) {
    super();
    if (!identifier || identifier.length < 3) {
      throw new _error.default("Must initialize compression plugin with identifier that has at least three letter identifier.", "MALFORMED_COMPRESSION_PLUGIN_INIT", {
        identifier
      });
    }
    this.identifier = identifier;
  }
  /**
   * Must return true if it is possible to compress the content with given implementation.
   */

  /**
   * Must return if it is possible to decompress the content with given implementation.
   * This step makes sure no invalid data is passed into decompress method.
   */

  /**
   * Compress the content and return the CompressedValue object.
   * @throws
   */

  /**
   * Decompress the content if possible. No need to check if given compressed value can be decompressed with given implementation.
   * It is done in the canDecompress step.
   * @throws
   */
}
exports.ContentCompressionPlugin = ContentCompressionPlugin;

//# sourceMappingURL=ContentCompressionPlugin.js.map