"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpdateTranslatedCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
var _error = require("@webiny/error");
var _utils = require("@webiny/utils");
var _TranslatedCollectionMapper = require("./mappers/TranslatedCollectionMapper");
class UpdateTranslatedCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collection) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatedCollection");
    const dto = _TranslatedCollectionMapper.TranslatedCollectionMapper.toDTO(collection);
    if (!dto.id) {
      throw new _error.WebinyError({
        message: "Updating a record without an ID is not allowed!",
        code: "UPDATE_WITHOUT_ID_NOT_ALLOWED"
      });
    }
    const cmsId = (0, _utils.createIdentifier)({
      id: dto.id,
      version: 1
    });
    await this.context.cms.updateEntry(model, cmsId, dto);
  }
}
exports.UpdateTranslatedCollectionRepository = UpdateTranslatedCollectionRepository;

//# sourceMappingURL=UpdateTranslatedCollectionRepository.js.map